#ID block 52000
<IfModule security2_module>
<Location ~ ^/mai(/[a-z0-9_]*)?(/[0-9]+)?(/s=[a-z0-9]+)?(/)?$>
	SecRuleInheritance Off
	SecDefaultAction phase:2,log,redirect:/se?ms=ai
	SecRule PATH_INFO "!^.*$" "t:replaceNulls,t:normalisePath,id:52001"
	SecRule ARGS_NAMES "!^.*$" "t:replaceNulls,t:normalisePath,id:52002"
</Location>
<Location ~ ^/delete_reasons>
	SecRuleInheritance Off
	SecDefaultAction phase:2,log,redirect:/se?ms=ai
	SecRule PATH_INFO "!^.*$" "t:replaceNulls,t:normalisePath,id:52003"
	SecRule ARGS_NAMES "!^(id|mv|p|is_mobile_app)$" "t:replaceNulls,t:normalisePath,id:52004"
	SecRule ARGS:id "!^[RDS]{0,1}[H]{0,1}[ 0-9_.a-zA-Z/=]{1,64}$" "t:replaceNulls,t:normalisePath,id:52005"
	SecRule ARGS:mv "!^(0|1)?$" "t:replaceNulls,t:normalisePath,id:52006"
	SecRule ARGS:p "!^[\x09\x20-\xff]{0,500}$" "t:replaceNulls,t:normalisePath,id:52007"
	SecRule ARGS:is_mobile_app "!^(true|false){0,1}?$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52008"
</Location>
<Location ~ ^/streets_autocomplete.json>
	SecRuleInheritance Off
	SecDefaultAction phase:2,log,redirect:/se?ms=ai
	SecRule ARGS_NAMES "!^(address|region|commune|limit)$" "t:replaceNulls,t:normalisePath,id:52009"
	SecRule ARGS:address "!^[\x09\x20-\xff]{0,510}$"  "t:replaceNulls,t:normalisePath,id:52010"
	SecRule ARGS:region "!^[0-9]{0,2}$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52011"
	SecRule ARGS:commune "!^[0-9]{0,3}$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52012"
	SecRule ARGS:limit "!^[0-9]{1}$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52013"
</Location>
<Location ~ ^/user_ads.json>
	SecRuleInheritance Off
	SecDefaultAction phase:2,log,redirect:/se?ms=ai
	SecRule ARGS_NAMES "!^(user_id|ads_quantity)$" "t:replaceNulls,t:normalisePath,id:52014"
	SecRule ARGS:user_id "!^[1-9][0-9]*$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52015"
	SecRule ARGS:ads_quantity "!^[1-9][0-9]*$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52016"
</Location>
<Location ~ ^/ad_reply_report.json>
	SecRuleInheritance Off
	SecDefaultAction phase:2,log,redirect:/se?ms=ai
	SecRule ARGS_NAMES "!^(list_id|destination_mail|date)$" "t:replaceNulls,t:normalisePath,id:52017"
	SecRule ARGS:list_id "!^[1-9][0-9]*$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52018"
	SecRule ARGS:destination_mail "!^[\x20-\xFF]{0,80}$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52019"
	SecRule ARGS:date "!^[0-9]{4}-[0-9]{2}-[0-9]{2}$" "t:urlDecode,t:replaceNulls,t:normalisePath,id:52020"
</Location>
</IfModule>
